Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
ADAPT_RESULTS Struct Reference

List of all members.

## Public Member Functions

void | Initialize ()

## Public Attributes

inT32 | BlobLength
int | NumMatches
bool | HasNonfragment
ScoredClass | match [MAX_NUM_CLASSES]
ScoredClass | best_match
CLASS_PRUNER_RESULTS | CPResults

## Detailed Description

Definition at line 91 of file adaptmatch.cpp.

## Member Function Documentation

void ADAPT_RESULTS::Initialize | ( |  | ) |

inline

Initializes data members to the default values. Sets the initial rating of each class to be the worst possible rating (1.0).

Definition at line 101 of file adaptmatch.cpp.

{
BlobLength = MAX_INT32;
NumMatches = 0;
HasNonfragment = false;
best_match.unichar_id = NO_CLASS;
best_match.shape_id = -1;
best_match.rating = WORST_POSSIBLE_RATING;
best_match.adapted = false;
best_match.config = 0;
best_match.fontinfo_id = kBlankFontinfoId;
best_match.fontinfo_id2 = kBlankFontinfoId;
}

## Member Data Documentation

ScoredClass ADAPT_RESULTS::best_match

Definition at line 96 of file adaptmatch.cpp.

inT32 ADAPT_RESULTS::BlobLength

Definition at line 92 of file adaptmatch.cpp.

CLASS_PRUNER_RESULTS ADAPT_RESULTS::CPResults

Definition at line 97 of file adaptmatch.cpp.

bool ADAPT_RESULTS::HasNonfragment

Definition at line 94 of file adaptmatch.cpp.

ScoredClass ADAPT_RESULTS::match[MAX_NUM_CLASSES]

Definition at line 95 of file adaptmatch.cpp.

int ADAPT_RESULTS::NumMatches

Definition at line 93 of file adaptmatch.cpp.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/adaptmatch.cpp